FlatPropertiesContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.properties
Class FlatPropertiesContainer

    java.lang.Object
      net.ctdp.rfdynhud.properties.PropertiesContainer
          net.ctdp.rfdynhud.properties.FlatPropertiesContainer

    public class FlatPropertiesContainer

extends PropertiesContainer

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`FlatPropertiesContainer()`

Method Summary
`protected void` | `addGroupImpl(java.lang.Object groupName, boolean initiallyExpanded, boolean pushed)` Adds a new group to the container.
`protected void` | `addPropertyImpl(Property property)`
`protected void` | `clearImpl()` Clears the container.
`void` | `dump(java.io.PrintStream ps)` Dumps this container to the given `PrintStream`.
`java.util.List<Property>` | `getList()` Gets the properties list.
`protected void` | `popGroupImpl()` Pop one level up.

Methods inherited from class net.ctdp.rfdynhud.properties.PropertiesContainer
`addGroup, addGroup, addProperty, clear, dump, getLevel, popGroup, pushGroup, pushGroup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatPropertiesContainer

    public FlatPropertiesContainer()

Method Detail

### getList

    public final java.util.List<Property> getList()

  Gets the properties list.

  Returns:
    the properties list.

### clearImpl

    protected void clearImpl()

  Description copied from class: `PropertiesContainer`
  Clears the container.

  Specified by:
    `clearImpl` in class `PropertiesContainer`

### addGroupImpl

    protected void addGroupImpl(java.lang.Object groupName,
                                boolean initiallyExpanded,
                                boolean pushed)

  Description copied from class: `PropertiesContainer`
  Adds a new group to the container.

  Specified by:
    `addGroupImpl` in class `PropertiesContainer`
  Parameters:
    `groupName` - the new group's name
    `initiallyExpanded` - initially expanded?
    `pushed` - pushed one level down?

### popGroupImpl

    protected void popGroupImpl()

  Description copied from class: `PropertiesContainer`
  Pop one level up.

  Specified by:
    `popGroupImpl` in class `PropertiesContainer`

### addPropertyImpl

    protected void addPropertyImpl(Property property)

  Specified by:
    `addPropertyImpl` in class `PropertiesContainer`

### dump

    public void dump(java.io.PrintStream ps)

  Description copied from class: `PropertiesContainer`
  Dumps this container to the given `PrintStream`.

  Specified by:
    `dump` in class `PropertiesContainer`
  Parameters:
    `ps` - the stream to print to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD